<!--
Get your module up and running quickly.

Find and replace all on all files (CMD+SHIFT+F):
- Name: Manolis UI
- Package name: manolis-ui
- Description: My new Nuxt module
-->

# Manolis UI

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![License][license-src]][license-href]
[![Nuxt][nuxt-src]][nuxt-href]

A design system for every product and or company under manolis trading

- [✨ &nbsp;Release Notes](/CHANGELOG.md)
<!-- - [🏀 Online playground](https://stackblitz.com/github/manolis-trading/manolis-ui?file=playground%2Fapp.vue) -->
<!-- - [📖 &nbsp;Documentation](https://example.com) -->

## Features

<!-- Highlight some of the features your module provide here -->
- 🌼 Build on top of daisy UI
- 🛠 55 custom build components
- 📦 Packaged for Vue 3 and nuxt 3

## Quick Setup

Install the module to your Nuxt application with one command:

```bash
npx nuxi module add manolis-ui
```

That's it! You can now use Manolis UI in your Nuxt app ✨


## Contribution

<details>
  <summary>Local development</summary>
  
  ```bash
  # Install dependencies
  yarn install
  
  # Generate type stubs
  yarn run dev:prepare
  
  # Develop with the playground
  yarn run dev
  
  # Build the playground
  yarn run dev:build
  
  # Run ESLint
  yarn run lint
  
  # Run Vitest
  yarn run test
  yarn run test:watch
  
  # Release new version
  yarn run release

  # Storybook
  yarn run storybook
  ```

</details>


<!-- Badges -->
[npm-version-src]: https://img.shields.io/npm/v/manolis-ui/latest.svg?style=flat&colorA=020420&colorB=00DC82
[npm-version-href]: https://npmjs.com/package/manolis-ui

[npm-downloads-src]: https://img.shields.io/npm/dm/manolis-ui.svg?style=flat&colorA=020420&colorB=00DC82
[npm-downloads-href]: https://npm.chart.dev/manolis-ui

[license-src]: https://img.shields.io/npm/l/manolis-ui.svg?style=flat&colorA=020420&colorB=00DC82
[license-href]: https://npmjs.com/package/manolis-ui

[nuxt-src]: https://img.shields.io/badge/Nuxt-020420?logo=nuxt.js
[nuxt-href]: https://nuxt.com
